import { SceneSystem } from 'dacha';
import type { SceneSystemOptions } from 'dacha';
export declare class ToolManager extends SceneSystem {
    private world;
    private mainActor;
    private rootNode;
    constructor(options: SceneSystemOptions);
    onSceneEnter(): void;
    onSceneDestroy(): void;
    private selectTool;
    private removeCurrentTool;
    private setToolFeatureValue;
    private handleSelectTool;
    private handleSetToolFeatureValue;
}
